Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,809,687 Members 40,213 Now Online
XDA Developers Android and Mobile Development Forum

What ROMs can I flash, and how?

Tip us?
 
Jayfeather787
Old
#1  
Member - OP
Thanks Meter 6
Posts: 61
Join Date: Nov 2013
Default What ROMs can I flash, and how?

I have a Samsung Galaxy S4 AT&T. An I337 with a locked bootloader. It is running Android 4.3 after I followed the downgrage guide from http://forum.xda-developers.com/show...php?p=50667360
So I am running a baseband version of NB1, and a build number of MK2. Everything I read says to then install Safestrap, and then flash a specific ROM that works with Safe Strap. However, under the Android Original Development, there are a bunch of ROMs that don't need safe strap and it seems like flashing regular ROMs. Why does everything I read state that I can only flash ROMs that work with Safe strap? Do the ROMs listed under Android Original Development all work with Safe Strap? I am very confused here.
 
RockRatt
Old
#2  
RockRatt's Avatar
Recognized Contributor
Thanks Meter 3,556
Posts: 3,898
Join Date: Aug 2010
More than likely NOTHING in the "Android ORIGINAL development" thread will work for you, and won't work on safestrap. Those are for those of us who got the phone when it came with MDB or MDL Firmwares that were able to use the Loki boot loader bypass. Which in turn let us use CWM or TWRP Custom recoveries. Also allowed us to flash kernels, which most if not all in the ORIGINAL development section will do/need to work.

For you on MK2/ NB1/NC1 you can ONLY use safestrap and its recovery. You CANNOT flash CWM or TWRP. You CANNOT flash kernels. So you need Roms that use the stock kernel. MANY ROM in the " Android Development" forum do work with safestrap. But do your research first. This means ONLY Touchwiz based Roms and possibly the GPE based ROM/s.
So NO Cyanogenmod, AOKP, or Other AOSP based Roms will work for you.
The Following User Says Thank You to RockRatt For This Useful Post: [ Click to Expand ]
 
Jayfeather787
Old
#3  
Member - OP
Thanks Meter 6
Posts: 61
Join Date: Nov 2013
Quote:
Originally Posted by RockRatt View Post
More than likely NOTHING in the "Android ORIGINAL development" thread will work for you, and won't work on safestrap. Those are for those of us who got the phone when it came with MDB or MDL Firmwares that were able to use the Loki boot loader bypass. Which in turn let us use CWM or TWRP Custom recoveries. Also allowed us to flash kernels, which most if not all in the ORIGINAL development section will do/need to work.

For you on MK2/ NB1/NC1 you can ONLY use safestrap and its recovery. You CANNOT flash CWM or TWRP. You CANNOT flash kernels. So you need Roms that use the stock kernel. MANY ROM in the " Android Development" forum do work with safestrap. But do your research first. This means ONLY Touchwiz based Roms and possibly the GPE based ROM/s.
So NO Cyanogenmod, AOKP, or Other AOSP based Roms will work for you.
Thank you very much, that is all I needed to know.
 
rugmankc
Old
#4  
rugmankc's Avatar
Senior Member
Thanks Meter 1,808
Posts: 7,492
Join Date: Jun 2010
Location: Dayton, Ohio
If you haven't and want more info read up in these two threads:

[Index] All Things ATT, MK2 etc in General Section

HashCodes SafeStrap thread in Development Section


ATT Samsung Galaxy S4/Rooted/TWRP 2.5.0.2/Wanam Xposed, or Gravity Box/Long Time MultiRom Flasher/Waiting For The Note 4--The Game Changer








The Following User Says Thank You to rugmankc For This Useful Post: [ Click to Expand ]
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes